/* ----------------------------------------------- */
/* prot_code.h                                     */
/* alphabet encoding for proteins                  */
/* -----------------------------------------       */
/* IUPAC encoding                                  */
/* -----------------------------------------       */
/* B=DN                                            */
/* Z=EQ                                            */
/* X=any - {X}                                     */
/* JOU not recognized                              */
/* -----------------------------------------       */
/* dual encoding                                   */
/* -----------------------------------------       */
/* B=BDN                                           */
/* D=BD                                            */
/* E=EZ                                            */
/* N=BN                                            */
/* Q=QZ                                            */
/* X=any - {X}                                     */
/* Z=EQZ                                           */
/* JOU not recognized                              */
/* ----------------------------------------------- */

#ifndef USE_DUAL

        /* IUPAC */

        0x00000001 /* A */, 0x00002008 /* B */, 0x00000004 /* C */,
        0x00000008 /* D */, 0x00000010 /* E */, 0x00000020 /* F */,
        0x00000040 /* G */, 0x00000080 /* H */, 0x00000100 /* I */,
        0x00000000 /* J */, 0x00000400 /* K */, 0x00000800 /* L */,
        0x00001000 /* M */, 0x00002000 /* N */, 0x00000000 /* O */,
        0x00008000 /* P */, 0x00010000 /* Q */, 0x00020000 /* R */,
        0x00040000 /* S */, 0x00080000 /* T */, 0x00000000 /* U */,
        0x00200000 /* V */, 0x00400000 /* W */, 0x037fffff /* X */,
        0x01000000 /* Y */, 0x00010010 /* Z */

#else
        /* DUAL  */

        0x00000001 /* A */, 0x0000200a /* B */, 0x00000004 /* C */, 
        0x0000000a /* D */, 0x02000010 /* E */, 0x00000020 /* F */, 
        0x00000040 /* G */, 0x00000080 /* H */, 0x00000100 /* I */, 
        0x00000000 /* J */, 0x00000400 /* K */, 0x00000800 /* L */, 
        0x00001000 /* M */, 0x00002002 /* N */, 0x00000000 /* O */, 
        0x00008000 /* P */, 0x02010000 /* Q */, 0x00020000 /* R */, 
        0x00040000 /* S */, 0x00080000 /* T */, 0x00000000 /* U */, 
        0x00200000 /* V */, 0x00400000 /* W */, 0x037fffff /* X */, 
        0x01000000 /* Y */, 0x02010010 /* Z */

#endif
